<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="cISControl">
            <h2><span>CIS Control</span> {{ cISControl.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Version</span></dt>
                <dd>
                    <span>{{ cISControl.version }}</span>
                </dd>
                <dt><span>Type</span></dt>
                <dd>
                    <span>{{ cISControl.type }}</span>
                </dd>
                <dt><span>Description</span></dt>
                <dd>
                    <span>{{ cISControl.description }}</span>
                </dd>
                <dt><span>Total Pass</span></dt>
                <dd>
                    <span>{{ cISControl.totalPass }}</span>
                </dd>
                <dt><span>Total Fail</span></dt>
                <dd>
                    <span>{{ cISControl.totalFail }}</span>
                </dd>
                <dt><span>Total Warn</span></dt>
                <dd>
                    <span>{{ cISControl.totalWarn }}</span>
                </dd>
                <dt><span>Total Info</span></dt>
                <dd>
                    <span>{{ cISControl.totalInfo }}</span>
                </dd>
                <dt><span>Report</span></dt>
                <dd>
                    <div *ngIf="cISControl.report">
                        <a [routerLink]="['/cis-report', cISControl.report?.id, 'view']">{{ cISControl.report?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button hidden type="button"
                    [routerLink]="['/cis-control', cISControl.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
